LAMGROW(1)

NAME
lamgrow - Extend a LAM multicomputer.

SYNTAX

lamgrow [-hv] [-c <bhost>] [-u <userid>] [<node>] <hostname>

OPTIONS

-h  Print useful information on this command.

-c <bhost>
    Update this boot schema.

-v  Be verbose.

<hostname>
    Extend LAM with this host.

<node>
    Assign this ID to the new node.

-u <userid>
    Use this userid to access the new host.

DESCRIPTION
An existing LAM session, initiated by lamboot(1), can be enlarged to include more nodes with lamgrow. One new node is added for each invocation. At a minimum, the host name that will run the new node is given on the command line. If a different userid is required to access the host, it is specified with the -u option.

It can be useful to update the original boot schema used by lamboot(1) with the new node added by lamgrow. The -c option specifies a boot schema filename and causes lamgrow to append the host name. The updated boot schema is ready to be used by wipe(1) to terminate the extended LAM session. New nodes added by lamgrow will not be cleaned up by wipe(1) if the original boot schema is used. They can be terminated individually, as always, with tkill(1).

The new node can be assigned any unused, non-negative identifier. If no identifier is specified, the highest node identifier in the current LAM session plus one is used. Note that lamboot(1) always assigns node identifiers consecutively from 0.

lamgrow can be run from any node. As a LAM command program it must be run from a node in the existing LAM session. It cannot be run from the intended new host. Two invocations of lamgrow should not run concurrently and the command attempts to detect this situation. There is no protection against specifying the name of host that is already part of the user's existing LAM session. This is not the proper use of lamgrow.

Resource managers will be the most common user of lamgrow. When hosts become idle and a user has expressed a desire to the manager that extra cycles should be exploited, the manager could invoke lamgrow and then launch the specified application process(es) on the new node.

EXAMPLES

lamgrow -v newhost
    Start LAM on newhost and add it to the existing LAM session. Choose the next available node identifier and report about important steps as they are done.

lamgrow n30 newhost
    Start LAM on newhost with node ID 30 and add it to the existing LAM session. Operate silently.

FILES

$LAMHOME/etc/lam-conf.lam
    default configuration file for LAM nodes

SEE ALSO
lamboot(1), hboot(1), wipe(1), tkill(1), bhost(5), conf(5)